Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.WrapperData Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | WrapperData ()
| Constructor.
def | WrapperData (version, type, app_id, uri, description)
| Constructor, with parameters. More...
def | WrapperData (wrapper_data)
| Constructor, with another wrapper data object. More...
def | Set (version, type, app_id, uri, description)
| Set value. More...

## Static Public Attributes
| app_id = _fsdk.WrapperData_app_id
| Application identity to indicate applications to open this wrapper data.
| description = _fsdk.WrapperData_description
| Description for wrapper file to show applications or confront users prompt information.
| type = _fsdk.WrapperData_type
| Wrapper type to indicate a type of the current wrapper file.
| uri = _fsdk.WrapperData_uri
| The URI for consumers to get more information.
| version = _fsdk.WrapperData_version
| Wrapper version.

## Detailed Description

This class represents wrapper data, which is used for a wrapped PDF document.

## Constructor & Destructor Documentation

## ◆ WrapperData() [1/2]

def FoxitPDFSDKPython2.WrapperData.WrapperData | ( |  | version,
|  |  | type,
|  |  | app_id,
|  |  | uri,
|  |  | description
| ) |  |

Constructor, with parameters.

Parameters

  [in] | version | Wrapper version.
  [in] | type | Wrapper type to indicate a type of the current wrapper file.
  [in] | app_id | Application identity to indicate applications to open this wrapper data.
  [in] | uri | URI for consumers to get more information.
  [in] | description | Description for wrapper file to show applications or confront users prompt information.

## ◆ WrapperData() [2/2]

def FoxitPDFSDKPython2.WrapperData.WrapperData | ( |  | wrapper_data | ) |

Constructor, with another wrapper data object.

Parameters

  [in] | wrapper_data | Another wrapper data object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.WrapperData.Set | ( |  | version,
|  |  | type,
|  |  | app_id,
|  |  | uri,
|  |  | description
| ) |  |

Set value.

Parameters

  [in] | version | Wrapper version.
  [in] | type | Wrapper type to indicate a type of the current wrapper file.
  [in] | app_id | Application identity to indicate applications to open this wrapper data.
  [in] | uri | URI for consumers to get more information.
  [in] | description | Description for wrapper file to show applications or confront users prompt information.

Returns
  None.